using System.Text.Json.Serialization;

namespace SCOGateway.POSGk
{
    record AuthenticateResp
    {
        [JsonPropertyName("operatorID")] public string OperatorID { get; set; } = "";
        [JsonPropertyName("workerID")] public string WorkerID { get; set; } = "";
        [JsonPropertyName("firstName")] public string FirstName { get; set; } = "";
        [JsonPropertyName("lastName")] public string LastName { get; set; } = "";
        [JsonPropertyName("languageID")] public string LanguageID { get; set; } = "";
        [JsonPropertyName("realmId")] public string RealmId { get; set; } = "";
        [JsonPropertyName("expirationCountDays")] public int ExpirationCountDays { get; set; } = 0;
        [JsonPropertyName("passwordBeforeExpiration")] public bool PasswordBeforeExpiration { get; set; } = true;
    }
}